.loading_wrap {
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: #fff;
    display: block;
    position: absolute;
  }

  .loader_logo {
    height: 80px;
    width: 80px;
    position: absolute;
    left: calc(50% - 50px);
    top: 38%;
  }

  .loader_logo img {
    height: 100%;
    width: 100%;
  }

  .loading {
    position: absolute;
    left: calc(50% - 45px);
    top: 50%;
    width: 75px;
    height: 75px;
    display: inline-block;
    font-size: 10px;
    margin: auto;
    text-indent: -9999em;
    border-radius: 50%;
    -webkit-animation: spin 1.4s infinite linear;
    animation: spin 1.4s infinite linear;
    transform: translateZ(0);
    background: #4F46E5 ;
    background: linear-gradient(to right, #4F46E5  10%, rgba(67, 236, 76, 0) 42%);
  }

  .loading:before {
    width: 50%;
    height: 50%;
    border-radius: 100% 0 0 0;
    position: absolute;
    top: 0;
    left: 0;
    content: '';
  }

  .loading:after {
    background: #fff;
    width: 75%;
    height: 75%;
    border-radius: 50%;
    content: '';
    margin: auto;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
  }

  @-webkit-keyframes spin {
    0% {
      transform: rotate(0deg);
    }

    100% {
      transform: rotate(360deg);
    }
  }

  @keyframes spin {
    0% {
      transform: rotate(0deg);
    }

    100% {
      transform: rotate(360deg);
    }
  }
